package utils.exceptions;

public class FileParseException extends Exception {

    private int m_errorLineNumber;
    private String m_errorLine;

    public FileParseException(String message, int lineNumber, String errorLine) {
        super(message);
        m_errorLineNumber = lineNumber;
        m_errorLine = errorLine;
    }

    public void setErrorLine(String errorLine) {
        m_errorLine = errorLine;
    }

    public String getErrorLine() {
        return m_errorLine;
    }

    public void setErrorLineNumber(int line) {
        m_errorLineNumber = line;
    }

    public int getErrorLineNumber() {
        return m_errorLineNumber;
    }
}
