/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package utils.exceptions;

/**
 *
 * Date: 17 Μαρ 2012
 * @author Jason Koukas
 */
public class WarningException extends Exception {

    protected Object m_returnValue; //The Object that would be returned hadn't the WarningException been thrown

    public WarningException() {
    }

    public WarningException(String message) {
        super(message);
    }

    public WarningException(Object returnValue) {
        setReturnValue(returnValue);
    }

    public WarningException(Object returnValue, String message) {
        super(message);
        setReturnValue(returnValue);
    }

    public Object getReturnValue() {
        return m_returnValue;
    }

    public void setReturnValue(Object returnValue) {
        m_returnValue = returnValue;
    }
}
